#! /bin/env python3
# encoding: utf-8

import sys

from . import text

_print = text.Output('over.core', stream=sys.stderr)

class DeprecationForwarder:
	def __init__(self, target, old_name, new_name):
		self.target = target
		self.old_name = old_name
		self.new_name = new_name
	
	def __getattr__(self, name):
		_print('%s is deprecated, please use %s instead' %(self.old_name, self.new_name), text.prefix.warn)
		return getattr(self.target, name)
